Loading...
Searching...
No Matches
pcl::ColorGradientDOTModality< PointInT >::Candidate Struct Reference

`#include <pcl/recognition/color_gradient_dot_modality.h>`

## Public Member Functions

bool | operator< (const Candidate &rhs)

## Public Attributes

GradientXY | gradient
int | x
int | y

## Detailed Description

template<typename PointInT>
struct pcl::ColorGradientDOTModality< PointInT >::Candidate

Definition at line 58 of file color_gradient_dot_modality.h.

## Member Function Documentation

## operator<()

template<typename PointInT >

bool pcl::ColorGradientDOTModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) |

inline

Definition at line 65 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::Candidate::gradient, and pcl::GradientXY::magnitude.

## Member Data Documentation

## gradient

template<typename PointInT >

GradientXY pcl::ColorGradientDOTModality< PointInT >::Candidate::gradient

Definition at line 60 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::Candidate::operator<().

## x

template<typename PointInT >

int pcl::ColorGradientDOTModality< PointInT >::Candidate::x

Definition at line 62 of file color_gradient_dot_modality.h.

## y

template<typename PointInT >

int pcl::ColorGradientDOTModality< PointInT >::Candidate::y

Definition at line 63 of file color_gradient_dot_modality.h.

The documentation for this struct was generated from the following file:

- pcl/recognition/color_gradient_dot_modality.h